Skip to main content
GET
/
api
/
aviation
/
v1
/
get-carrier-ops
GetCarrierOps
curl --request GET \
  --url https://api.worldmonitor.app/api/aviation/v1/get-carrier-ops \
  --header 'X-WorldMonitor-Key: <api-key>'
import requests

url = "https://api.worldmonitor.app/api/aviation/v1/get-carrier-ops"

headers = {"X-WorldMonitor-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-WorldMonitor-Key': '<api-key>'}};

fetch('https://api.worldmonitor.app/api/aviation/v1/get-carrier-ops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "carriers": [
    {
      "airport": "JFK",
      "avgDelayMinutes": 1,
      "cancellationRate": 75.25,
      "cancelledCount": 1,
      "carrier": {
        "iataCode": "JFK",
        "icaoCode": "example",
        "name": "WorldMonitor Analyst"
      }
    }
  ],
  "source": "example",
  "updatedAt": 1717200000000
}
{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"requiredTier": 123,
"currentTier": 123,
"planKey": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

X-WorldMonitor-Key
string
header
required

User-issued WorldMonitor API key.

Query Parameters

airports
string[]

IATA airport codes to aggregate carrier metrics from.

min_flights
integer<int32>

Minimum number of flights required to include a carrier (default: 1).

jmespath
string

Optional JMESPath expression applied server-side to project or reduce the JSON response before it is returned (mirrors the MCP jmespath argument). Invalid expressions, expressions larger than 1024 UTF-8 bytes, or projections that exceed the 256 KB output cap return HTTP 400 with a {_jmespath_error, original_keys} envelope. Grammar and worked examples: https://www.worldmonitor.app/docs/mcp-jmespath.

Response

Successful response

GetCarrierOpsResponse contains carrier operations metrics.

carriers
object[]
source
string

Data source identifier.

updatedAt
integer<int64>

Last update time as Unix epoch milliseconds.. Warning: Values > 2^53 may lose precision in JavaScript